------------------------------------------------------------------------------------------
-- create the main window
------------------------------------------------------------------------------------------
function CreateMainWindow()
	PlopIamConnectedWindow=Turbine.UI.Lotro.GoldWindow(); 
	PlopIamConnectedWindow:SetSize(400,150); 
	PlopIamConnectedWindow:SetText(Strings.PluginName); 
	PlopIamConnectedWindow.Message=Turbine.UI.Label(); 
	PlopIamConnectedWindow.Message:SetParent(PlopIamConnectedWindow); 
	PlopIamConnectedWindow.Message:SetSize(150,10); 
	PlopIamConnectedWindow.Message:SetPosition(PlopIamConnectedWindow:GetWidth()/2 - 75, PlopIamConnectedWindow:GetHeight() - 18); 
	PlopIamConnectedWindow.Message:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter); 
	PlopIamConnectedWindow.Message:SetText(Strings.PluginText); 
	PlopIamConnectedWindow:SetZOrder(0);
	PlopIamConnectedWindow:SetWantsKeyEvents(true);

	PlopIamConnectedWindow:SetPosition((Turbine.UI.Display:GetWidth()-PlopIamConnectedWindow:GetWidth())/2,(Turbine.UI.Display:GetHeight()-PlopIamConnectedWindow:GetHeight())/2);

	FriendChecker();
	--GuildeChecker();
	------------------------------------------------------------------------------------------
	-- center window
	------------------------------------------------------------------------------------------
	PlopIamConnectedWindow.Message=Turbine.UI.Label(); 
	PlopIamConnectedWindow.Message:SetParent(PlopIamConnectedWindow); 
	PlopIamConnectedWindow.Message:SetSize(300, 20); 
	PlopIamConnectedWindow.Message:SetPosition(50, 40); 
	PlopIamConnectedWindow.Message:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter); 
	PlopIamConnectedWindow.Message:SetFont(Turbine.UI.Lotro.Font.Verdana18);
	PlopIamConnectedWindow.Message:SetText(Strings.PluginText1); 
  
	textBoxLines = Turbine.UI.Lotro.TextBox();
	textBoxLines:SetParent( PlopIamConnectedWindow );
	textBoxLines:SetSize(300, 30); 
	textBoxLines:SetText(""); 
	textBoxLines:SetPosition(50, 60);
	textBoxLines:SetVisible(true);
	textBoxLines:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter); 
	textBoxLines:SetForeColor( Turbine.UI.Color( 0.7, 0.6, 0.2 ));
	textBoxLines:SetBackColor( Turbine.UI.Color( .9, .5, .7, .5));

	buttonValider = Turbine.UI.Lotro.GoldButton();
	buttonValider:SetParent( PlopIamConnectedWindow );
	buttonValider:SetPosition(75, PlopIamConnectedWindow:GetHeight() - 40);
	buttonValider:SetSize( 300, 20 );
	buttonValider:SetFont(Turbine.UI.Lotro.Font.Verdana16);
	buttonValider:SetText( Strings.PluginText2 );
	buttonValider:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	buttonValider:SetVisible(true);
	buttonValider:SetMouseVisible(true);

	ValidateChanges();

	PlopIamConnectedWindow.KeyDown=function(sender, args)
		if ( args.Action == Turbine.UI.Lotro.Action.Escape ) then
			PlopIamConnectedWindow:SetVisible(false);
		end
	
		-- https://www.lotro.com/forums/showthread.php?493466-How-to-hide-a-window-on-F12&p=6581962#post6581962
		if ( args.Action == 268435635 ) then
			hudVisible=not hudVisible;
			if hudVisible then
				PlopIamConnectedWindow:SetVisible(false);
				MainMinimizedIcon:SetVisible(false);
			else
				MainMinimizedIcon:SetVisible(true);
			end
		end
	end
end


function ValidateChanges()
	buttonValider.MouseClick = function(sender, args)
		local valToAdd = textBoxLines:GetText();
		if(valToAdd ~= nil and valToAdd ~= "")then
			if(settings["nbrFriends"]["value"] == nil or settings["nbrFriends"]["value"] == 0)then
				settings["nbrFriends"]["value"] = 1;
			else
				settings["nbrFriends"]["value"] = settings["nbrFriends"]["value"] + 1;
			end

			settings["friends"]["name" .. tonumber(settings["nbrFriends"]["value"])] = textBoxLines:GetText();
			Turbine.Shell.WriteLine(rgb["start"] .. Strings.PluginName .. rgb["clear"] .. " : " .. 
			settings["friends"]["name" .. tonumber(settings["nbrFriends"]["value"])] .. " " .. Strings.PluginAdded);

			PlopIamConnectedWindow:SetVisible(false);
			SaveSettings();
			CreateMainWindow();
			PlopIamConnectedWindow:SetVisible(true);
		end
	end
end